View all methods

catalog.entities.delete

Delete an entity in your software catalog.

Facts

Method POST https://api.getdx.com/catalog.entities.delete
Required scope catalog:write:entities

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.
identifier Text The unique identifier for the entity.

Example request

This is a typical request:

curl -X POST https://api.getdx.com/catalog.entities.delete?identifier=dx-marketing-site \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "entity": {
    "identifier": "payment-processing",
    "created_at": "2025-01-02 20:48:45.77969",
    "updated_at": "2025-01-02 20:48:45.77969",
    "description": "Service to handle all payment processing",
    "owner_teams": [{ "id": "MTJ2", "name": "Payments" }],
    "owner_users": [{ "id": "MNDR", "name": "First Last" }],
    "properties": {
      "language": ["Javascript", "Typescript", "HTML"],
      "architecture-approved": true,
      "service-tier": "Tier-1"
    },
    "aliases": {
      "github_repo": [
        {
          "identifier": "671150935",
          "name": "get-dx/payment-processing",
          "url": "https://github.com/get-dx/payment-processing"
        }
      ]
    }
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.

Legacy path

This method is temporarily still available at the following legacy path:

POST https://api.getdx.com/entities.delete

e>